#ifndef _FishIDE_Depend_h_
#define _FishIDE_Depend_h_

#include <Core/Core.h>

using namespace Upp;

class Depend
{
	private:
	
		// map of files with their timestamps
		VectorMap<String, Time> _fileTimes;
	
	protected:
	
	public:
	
		// constructor
		Depend();
		
		// destructor
		~Depend();
		
		// clear timestamps record
		void Clear(void);
		
		// check for dependency files
		// return true if target must be rebuilt
		// false otherwise
		bool Check(String const &objPath);
};

#endif
